Bug 591332 - Review Request: debconf - Debian configuration management system
Review Request: debconf - Debian configuration management system
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 591389
  Show dependency treegraph
 
Reported: 2010-05-11 18:26 EDT by Jeroen van Meeuwen
Modified: 2013-06-11 23:36 EDT (History)
8 users (show)

See Also:
Fixed In Version: debconf-1.5.49-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-24 20:02:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2010-05-11 18:26:07 EDT
Spec URL: http://git.ergo-project.org/?p=kolab-fedora.git;a=blob_plain;f=f12/custom-f12-buildsys/SPECS/debconf.spec
SRPM URL: http://koji.ergo-project.org/packages/debconf/1.5.32/3.fc12.buildsys/src/debconf-1.5.32-3.fc12.buildsys.src.rpm
Description: Debconf is a configuration management system for debian
packages. Packages use Debconf to ask questions when
they are installed.
Comment 2 Jason Tibbitts 2010-11-19 12:04:18 EST
This fails to build for me, but I'm not sure I understand the failure:

Bytecompiling .py files below /builddir/build/BUILDROOT/debconf-1.5.32-4.fc15.x86_64/usr/lib/python2.6/ using /usr/bin/python2.6
/usr/lib/rpm/brp-python-bytecompile: line 44: /usr/bin/python2.6: No such file or directory

Python is at 2.7 in rawhide and f14; perhaps that's part of the problem.
Comment 3 Jason Tibbitts 2010-11-19 12:04:36 EST
BTW, a scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=2611470
Comment 4 Miroslav Suchý 2011-09-27 10:11:41 EDT
taking
I assume correct url is now:
http://mirror.kolabsys.com/pub/fedora/apt-utils/f15/SRPMS/debconf-1.5.32-4.fc13.src.rpm
Comment 5 Miroslav Suchý 2011-09-27 10:17:36 EDT
I got this error during rpmbuild:
...
+ install -m 644 doc/man/gen/debconf-mergetemplate.ru.1 /home/msuchy/rpmbuild/BUILDROOT/debconf-1.5.32-4.fc15.x86_64//usr/share/man/ru/man1/debconf-mergetemplate.1
+ test -f doc/man/gen/debconf-mergetemplate.1
+ install -m 644 doc/man/gen/debconf-mergetemplate.1 /home/msuchy/rpmbuild/BUILDROOT/debconf-1.5.32-4.fc15.x86_64//usr/share/man/man1/debconf-mergetemplate.1
+ /usr/lib/rpm/find-debuginfo.sh --strict-build-id /home/msuchy/rpmbuild/BUILD/debconf
find: `debug': No such file or directory
+ /usr/lib/rpm/check-buildroot
+ /usr/lib/rpm/redhat/brp-compress
+ /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
+ /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1
Bytecompiling .py files below /home/msuchy/rpmbuild/BUILDROOT/debconf-1.5.32-4.fc15.x86_64/usr/lib/python2.6/ using /usr/bin/python2.6
/usr/lib/rpm/brp-python-bytecompile: line 44: /usr/bin/python2.6: No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.R9QchK (%install)

Can you please tune it for Fedora 17? Or Fedora 16?
Comment 6 Miroslav Suchý 2011-09-27 10:24:28 EDT
In description: s/debian/Debian/

build root is not needed any more (unless you plan to do epel build)

%{_prefix}/lib/python2.*  - this is bad. you should use python_sitelib macro

Pass smp macro to make:
http://fedoraproject.org/wiki/Packaging:Guidelines#Parallel_make
Comment 7 Miroslav Suchý 2011-11-22 14:52:09 EST
Ping?
Any progress here?
Comment 9 Miroslav Suchý 2012-03-26 09:26:59 EDT
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed

You have:
%files
%defattr(-,root,root,-)

but:
%files doc
%doc samples/

You should be consistent. %defattr is not needed, so I would recomend to remove it from that first %files section.


Spelling error:
debconf-i18n.noarch: W: spelling-error Summary(en_US) supoort -> support
debconf.src: W: spelling-error %description -l en_US debian -> Debian


debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ar/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ast/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/bg/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/bn/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/bs/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ca/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/cs/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/da/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/de/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/dz/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/el/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/eo/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/eu/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/fi/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/gl/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/he/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/hu/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/id/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/it/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ja/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/km/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ko/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ku/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/mr/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/nb/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ne/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/nl/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/nn/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/pa/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/pt/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/pt_BR/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ro/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/ru/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/sk/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/sl/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/sv/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/th/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/tl/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/tr/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/uk/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/vi/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/zh_CN/LC_MESSAGES/debconf.mo
debconf-i18n.noarch: W: file-not-in-%lang /usr/share/locale/zh_TW/LC_MESSAGES/debconf.mo
1 packages and 0 specfiles checked; 0 errors, 49 warnings.

Please use %find_lang:
http://fedoraproject.org/wiki/Packaging:Guidelines#Why_do_we_need_to_use_.25find_lang.3F

debconf.noarch: E: zero-length /usr/share/perl5/vendor_perl/Debconf/FrontEnd/Kde/Ui_DebconfWizard.pm
Are you sure it should be zero size? Should it be installed then at all?
Comment 10 Miroslav Suchý 2012-03-26 09:32:47 EDT
Also it is better instead of:
 %{_mandir}/fr/man1/debconf-escape.1.gz
to write:
 %{_mandir}/fr/man1/debconf-escape.1*

It can save you a bit of work when either Fedora or upstream change compression format.
Comment 11 Oron Peled 2012-03-29 08:17:05 EDT
WIP (co-maintaining this with Jeroen):

New SRPM: http://oron.fedorapeople.org/deb-package/debconf-1.5.32-5.fc16.src.rpm
New SPEC: http://oron.fedorapeople.org/deb-package/debconf.spec

 - Fix find_lang
 - Add patch to Makefile to set wanted PYTHON_VERSIONS.
   Detect and pass our wanted PYTHON_VERSIONS from spec file
 - Also don't specify man-pages compression (...1*, instead of ...1.gz)
 - Remove 'make test' as upstream Makefile don't have it

Some more work is needed (rpmlint):
 debconf.src:176: E: hardcoded-library-path in %{_prefix}/lib/python2.*

 Replacing it with %{_libdir} rightfully complain about %{_libdir}
 in 'noarch' package -- need to think about it further (maybe install
 to different path (but what about the *.pyc, are they noarch as well?)

 debconf.src: W: invalid-url Source0: http://ftp.de.debian.org/debian/pool/main/d/debconf/debconf_1.5.32.tar.gz HTTP Error 404: Not Found

 Need refreshing for the up-to-date upstream version.
Comment 12 Oron Peled 2012-04-11 23:47:53 EDT
New Spec: http://oron.fedorapeople.org/deb-package/debconf.spec
New SRPM: http://oron.fedorapeople.org/deb-package/debconf-1.5.42-2.fc16.src.rpm

 * Jeroen refreshed the package version and cleaned the python versions patch
 * I added:
   - The find_lang stuff (and removed the explicit (duplicated) files specifications)
   - Replaced man-pages .gz specification with a wildcard
   - Added BR: python
   - Added BR: perl-QT (for the debconf KDE frontend generation [need /usr/bin/puic4])

$ rpmlint /var/lib/mock/fedora-16-i386/result/*.rpm
debconf.noarch: W: spelling-error %description -l en_US debian -> Debian
debconf.src: W: spelling-error %description -l en_US debian -> Debian
debconf.src:165: W: libdir-macro-in-noarch-package (main package) %exclude %{_libdir}/python3
debconf-doc.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
debconf-doc.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
debconf-i18n.noarch: W: spelling-error Summary(en_US) supoort -> support
debconf-i18n.noarch: W: spelling-error %description -l en_US multibyte -> multitude
5 packages and 0 specfiles checked; 0 errors, 7 warnings.
Comment 13 Oron Peled 2012-04-11 23:57:32 EDT
 * fixed two typos in %description (overwrote previous SPEC+SRPM):

$ rpmlint /var/lib/mock/fedora-16-i386/result/*.rpm
debconf.src:165: W: libdir-macro-in-noarch-package (main package) %exclude %{_libdir}/python3
debconf-doc.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
debconf-doc.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
debconf-i18n.noarch: W: spelling-error %description -l en_US multibyte -> multitude
5 packages and 0 specfiles checked; 0 errors, 4 warnings.
Comment 14 Miroslav Suchý 2012-04-30 08:42:40 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines: BSD
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[-]: MUST License file installed when any subpackage combination is installed.
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[-]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint debconf-1.5.42-2.fc18.src.rpm

debconf.src:165: W: libdir-macro-in-noarch-package (main package) %exclude %{_libdir}/python3
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint debconf-i18n-1.5.42-2.fc18.noarch.rpm

debconf-i18n.noarch: W: spelling-error %description -l en_US multibyte -> multitude
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint debconf-doc-1.5.42-2.fc18.noarch.rpm

debconf-doc.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
debconf-doc.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint debconf-1.5.42-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint debconf-utils-1.5.42-2.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


This all seems correct to me.

[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/msuchy/591332/debconf_1.5.42.tar.gz :
  MD5SUM this package     : f2cb612f90b22f9e491152b30586b963
  MD5SUM upstream package : f2cb612f90b22f9e491152b30586b963

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[!]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
  No, but is sane to me
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: debconf-1.5.32-no-utf8-to-pod2man.patch (debconf-1.5.32-no-
     utf8-to-pod2man.patch) Patch1:
     debconf-1.5.42-python_version_support.patch
     (debconf-1.5.42-python_version_support.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Generated by fedora-review 0.1.3

Issues:
You should remove %buildroot and %defattr unless you plan to package for EPEL too.
You should contact upstream to include license file in tar.gz.
I see there is Test/ directory, can you run those tests in build time in %check?

Nevertheless, all this mentioned things are SHOULD items and can be resolved later.

APPROVED.
Comment 15 Christoph Wickert 2012-04-30 10:44:53 EDT
All the manpages are still not correctly tagged as %lanf(foo).
Comment 16 Oron Peled 2012-05-10 20:01:44 EDT
* Sorry for the delay, but I decided to fix the man-page issue in %find_lang:
  - Added --with-man
  - Also added --all-name (there are a lot of different man-pages)
  - Used wildcards for man-pages language directories
    (e.g: /usr/share/man/*/man1/somepage.1*)
  - Passed the '-f debconf.lang' to all (sub)packages, as the man-pages are
    spread between them.

* Also, two other minor suggestions from the review:
  - Removed BuildRoot:
  - In %install, no need to 'rm -rf %{buildroot}'

I'll go on with the approval, but meanwhile:
SPEC: http://oron.fedorapeople.org/deb-package/debconf.spec
SRPM: http://oron.fedorapeople.org/deb-package/debconf-1.5.42-3.fc15.src.rpm
Comment 17 Oron Peled 2012-05-10 20:14:21 EDT
New Package SCM Request
=======================
Package Name: debconf
Short Description: Debian configuration management system
Owners: oron kanarip
Branches: f16 f17 f18
InitialCC:
Comment 18 Gwyn Ciesla 2012-05-10 22:00:55 EDT
Miroslav, please set the review flag to +.
Oron, no need to request f18, that's devel currently and is automatic. 
Correct these and re-set the cvs flag.
Comment 19 Oron Peled 2012-05-11 03:47:59 EDT
New Package SCM Request
=======================
Package Name: debconf
Short Description: Debian configuration management system
Owners: oron kanarip
Branches: f16 f17
InitialCC:
Comment 20 Miroslav Suchý 2012-05-11 04:08:04 EDT
Oron,
every time you set fedora-cvs flag, you change component from "Package Review" to "0xFFFF", which clear fedora-review flag. Please be careful about that.
Comment 21 Gwyn Ciesla 2012-05-11 08:24:30 EDT
Git done (by process-git-requests).
Comment 22 Fedora Update System 2012-05-13 02:13:41 EDT
debconf-1.5.42-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/debconf-1.5.42-5.fc17
Comment 23 Fedora Update System 2012-05-13 02:16:03 EDT
debconf-1.5.42-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/debconf-1.5.42-5.fc16
Comment 24 Fedora Update System 2012-05-13 20:41:47 EDT
debconf-1.5.42-5.fc17 has been pushed to the Fedora 17 testing repository.
Comment 25 Fedora Update System 2012-05-24 20:02:04 EDT
debconf-1.5.42-5.fc16 has been pushed to the Fedora 16 stable repository.
Comment 26 Fedora Update System 2012-05-26 02:59:06 EDT
debconf-1.5.42-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 27 Fedora Update System 2013-06-02 21:04:02 EDT
debconf-1.5.49-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/debconf-1.5.49-2.fc19
Comment 28 Fedora Update System 2013-06-02 21:05:25 EDT
debconf-1.5.49-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/debconf-1.5.49-2.fc18
Comment 29 Fedora Update System 2013-06-09 05:30:37 EDT
debconf-1.5.49-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/debconf-1.5.49-3.fc19
Comment 30 Fedora Update System 2013-06-09 05:32:25 EDT
debconf-1.5.49-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/debconf-1.5.49-3.fc18
Comment 31 Fedora Update System 2013-06-11 05:01:44 EDT
debconf-1.5.49-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2013-06-11 23:36:19 EDT
debconf-1.5.49-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.